Wikipedia portal shouldn't use fake language codes
Closed, ResolvedPublic2 Story Points

Description

When you select Min Nan (Bân-lâm-gú / Hō-ló-oē) from the language list at https://www.wikipedia.org, the text at the right of the search box says "ZH-MIN-NAN". This is a fake code that we use in the Wikimedia universe for Min Nan. (See T30442 for some details.)

The correct ISO code for this language is nan, so the box should show "NAN" when Min Nan is selected.

TTO created this task.Mar 13 2016, 11:16 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 13 2016, 11:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 added a project: I18n.
Aklapper renamed this task from Wikipedia portal shoudn't use fake language codes to Wikipedia portal shouldn't use fake language codes.Mar 14 2016, 9:55 AM
debt triaged this task as Normal priority.
debt added subscribers: Jdrewniak, debt.

Adding screen shots and triaging.

Jdrewniak set the point value for this task to 2.
Krinkle moved this task from Accepted to Backlog on the Wikimedia-Portals board.

Change 282913 had a related patch set uploaded (by Jdrewniak):
Changing Min Nan lang code from "ZH-MIN-NAN" to "NAN"

https://gerrit.wikimedia.org/r/282913

Change 282913 merged by jenkins-bot:
Changing Min Nan lang code from "ZH-MIN-NAN" to "NAN"

https://gerrit.wikimedia.org/r/282913

debt closed this task as Resolved.Apr 14 2016, 6:08 PM

Looks good on http://www.wikipedia.beta.wmflabs.org/ and will go out with this production ticket: https://phabricator.wikimedia.org/T130755

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 14 2016, 11:25 PM